      program mm
      implicit none
      integer N,M
      parameter(N=1000)
      parameter(M=1)
      double precision a(N,N), b(N,N), c(N,N)
      integer i,j,k,l


      do i=1,N
         do j=1,N
            a(i,j) = i*j
            b(i,j) = N*N - i*j
         enddo
      enddo

      do i=1,N
         do j=1,N
            c(i,j) = 0.0
         enddo
      enddo

      do l=1,M
         do j=1,N
            do k=1,N
               do i=1,N
                  c(i,j) = c(i,j) + a(i,k)*b(k,j)
               enddo
            enddo
         enddo
      enddo

      end
      
